# ManualCompactParam.Builder
Date: 2024-08-08

io.milvus.param.control

## Class ManualCompactParam.Builder

- java.lang.Object
- - io.milvus.param.control.ManualCompactParam.Builder

Enclosing class:
  ManualCompactParam

    public static final class ManualCompactParam.Builder
    extends java.lang.Object

Builder for `ManualCompactParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`ManualCompactParam` `build()` Verifies parameters and creates a new `ManualCompactParam` instance.
`ManualCompactParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionName

    public ManualCompactParam.Builder withCollectionName(@NonNull
                                                         @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### build

    public ManualCompactParam build()
                             throws ParamException

Verifies parameters and creates a new `ManualCompactParam` instance.

Returns:
  `ManualCompactParam`
Throws:
  `ParamException`